# Installation

## Requirements
Before installing the **Core Library for AngularDart**, you need to make sure you have the [Dart SDK](https://dart.dev/tools/sdk) and [Pub](https://dart.dev/tools/pub/cmd), the Dart package manager, up and running.

!!! warning
    Core Library for AngularDart requires Dart >= **2.4.0**.

!!! info
    If you plan to play with the library sources, you will also need
    [Grinder](https://google.github.io/grinder.dart) and [Material for MkDocs](https://squidfunk.github.io/mkdocs-material).

You can verify if you're already good to go with the following commands:

```shell
dart --version
# Dart VM version: 2.4.0 (Wed Jun 19 11:53:45 2019 +0200) on "windows_x64"

pub --version
# Pub 2.4.0
```

## Installing with Pub package manager

### 1. Depend on it
Add this to your project's `pubspec.yaml` file:

```yaml
dependencies:
  ngx_core: *
```

### 2. Install it
Install this package and its dependencies from a command prompt:

```shell
pub get
```

### 3. Import it
Now in your [Dart](https://dart.dev) code, you can use:

```dart
import 'package:ngx_core/ngx_core.dart';
```
