# Nl2brPipe
Replaces all line separators by HTML line breaks.

```
{{ value | nl2br [ : isXhtml ] }}
```

## Input value
**value**: `String`  
The string to format.

## Parameters
**isXhtml**: `bool`   
Value indicating whether to use XML compatible line breaks.

## Usage notes
The following code shows how the pipe transforms new lines by HTML lines breaks:

```dart
import 'package:angular/angular.dart';
import 'package:ngx_core/ngx_core.dart';

@Component(
  pipes: [ngxPipes],
  selector: 'nl2br-pipe',
  template: '''
    <p [innerHTML]="value | nl2br"></p>
    <p [innerHTML]="value | nl2br: true"></p>
  '''
)
class Nl2brPipeComponent {
  String value = 'foo\n bar\r\n';
}
```

The rendering of the template will looks like this:

```html
<p>foo<br> bar<br></p>
<p>foo<br/> bar<br/></p>
```
