# TitleCasePipe
Capitalizes the first letter of each word, and transforms the rest of the word to lower case.
Words are delimited by any whitespace character, such as a space, tab or line-feed character.

```
{{ value | titlecase }}
```

## Input value
**value**: `String`  
The string to transform to title case.

## Usage notes
The following code shows how the pipe transforms various strings into title case:

```dart
import 'package:angular/angular.dart';
import 'package:ngx_core/ngx_core.dart';

@Component(
  pipes: [ngxPipes],
  selector: 'titlecase-pipe',
  template: '''
    <p>{{'some string' | titlecase}}</p>
    <p>{{'tHIs is mIXeD CaSe' | titlecase}}</p>
    <p>{{"it's non-trivial question" | titlecase}}</p>
    <p>{{'one,two,three' | titlecase}}</p>
    <p>{{'true|false' | titlecase}}</p>
    <p>{{'foo-vs-bar' | titlecase}}</p>
  '''
)
class TitleCasePipeComponent {}
```

The rendering of the template will looks like this:

```html
<p>Some String</p> 
<p>This Is Mixed Case</p>
<p>It's Non-trivial Question</p>
<p>One,two,three</p>
<p>True|false</p>
<p>Foo-vs-bar</p>
```
