# Usage
**Section under construction**: usage of the `ngx_core` library.  
You can always check the [API reference](https://dev.belin.io/ngx-core.dart/api).

```dart
import 'package:ngx_core/ngx_core.dart';
```

## Directives
This library provides a set of [attribute directives](https://angulardart.dev/guide/attribute-directives) that changes the behavior of a DOM element:

- [documentTitle](directives/document_title.md)
- [goBack](directives/go_back.md)
- [scrollTo](directives/scroll_to.md)

## Pipes
This library provides a set of [pipes](https://angulardart.dev/guide/pipes), a way to write display-value transformations that you can declare in your HTML code:

- [autolink](pipes/auto_link.md)
- [encodeUri](pipes/encode_uri.md)
- [nl2br](pipes/nl2br.md)
- [safe](pipes/safe.md)
- [titlecase](pipes/title_case.md)
