part of '../../ngx_core.dart';

/// Represents a validation error returned by a remote service.
class ValidationError implements Exception {
  /// Creates a new validation error.
  ValidationError(this.field, [this.message = '']);

  /// Creates a new validation error from the specified [map] in JSON format.
  ValidationError.fromJson(Map<String, dynamic> map)
      : field = map[fieldProperty] is String ? map[fieldProperty] : '',
        message = map[messageProperty] is String ? map[messageProperty] : '';

  /// The name of the property storing the field name.
  static String fieldProperty = 'field';

  /// The name of the property storing the error message.
  static String messageProperty = 'message';

  /// The name of the validated field.
  final String field;

  /// A message describing the validation error.
  String message;
}
