import 'package:ngx_core/ngx_core.dart';
import 'package:test/test.dart';

/// Tests the features of the [Pagination] class.
void main() => group('Pagination', () {
      group('.toQueryParameters()', () {
        test('should return a comma-separated list of the attributes', () {
          final attributes = {
            'age': SortDirection.ascending,
            'name': SortDirection.descending
          };

          final params = Sort(attributes).toQueryParameters();
          expect(params['sort'], 'age,-name');
        });

        test('should support custom query parameters', () {
          final attributes = {
            'age': SortDirection.ascending,
            'name': SortDirection.descending
          };

          final params = Sort(attributes, separator: ':', sortParam: 'orderBy')
              .toQueryParameters();
          expect(params['sort'], isNull);
          expect(params['orderBy'], 'age:-name');
        });
      });
    });
