import 'package:ngx_core/ngx_core.dart';
import 'package:test/test.dart';

/// Tests the features of the [ValidationError] class.
void main() => group('ValidationError', () {
      group('.fromJson()', () {
        test('should return an empty instance with an empty map', () {
          final error = ValidationError.fromJson({});
          expect(error.field, isEmpty);
          expect(error.message, isEmpty);
        });

        test('should return an initialized instance with a non-empty map', () {
          final error = ValidationError.fromJson({
            ValidationError.fieldProperty: 'name',
            ValidationError.messageProperty: 'An error message.'
          });

          expect(error.field, equals('name'));
          expect(error.message, equals('An error message.'));
        });

        test('should support custom property names', () {
          ValidationError.fieldProperty = 'prop';
          ValidationError.messageProperty = 'error';

          final error = ValidationError.fromJson(
              {'error': 'An error message.', 'prop': 'name'});
          expect(error.field, equals('name'));
          expect(error.message, equals('An error message.'));
        });
      });
    });
