import 'package:ngx_core/ngx_core.dart';
import 'package:test/test.dart';

/// Tests the features of the [TitleCasePipe] class.
void main() => group('TitleCasePipe', () {
      group('.transform()', () {
        test(
            'should capitalize the first letters and lower case the remaining characters',
            () {
          final pipe = TitleCasePipe();
          expect(pipe.transform('foo bar'), 'Foo Bar');
          expect(pipe.transform('FOO BAR'), 'Foo Bar');
          expect(pipe.transform('fOO-bAR'), 'Foo-bar');
        });

        test('should handle edge cases', () {
          final pipe = TitleCasePipe();
          expect(pipe.transform(''), isEmpty);
          expect(pipe.transform('a'), 'A');
        });

        test('should preserve whitespace', () {
          expect(TitleCasePipe().transform('   foo   bar'), '   Foo   Bar');
        });
      });
    });
